Add an alias for running Cog
- ID
7d06ee0- date
2023-12-25 23:43:52+00:00- author
Alex Chan <alex@alexwlchan.net>- parent
ec9b186- message
Add an alias for running Cog- changed files
1 file, 12 additions
Changed files
recog (0) → recog (327)
diff --git a/recog b/recog
new file mode 100755
index 0000000..30783f1
--- /dev/null
+++ b/recog
@@ -0,0 +1,12 @@
+#!/usr/bin/env bash
+# Run Cog to generate the README files in this repo.
+#
+# This creates the per-README list of the individual scripts and files.
+#
+#Here Cog is Ned Batchelder's file generation tool, described here:
+# https://nedbatchelder.com/code/cog
+
+set -o errexit
+set -o nounset
+
+find . -name README.md | xargs cog -c -r